package com.ibm.jps.util;

import org.eclipse.uml2.uml.NamedElement;
import org.eclipse.uml2.uml.Relationship;


/**
 * Captures information about UML relationsips:
 * <ul>
 *    <li><em>rel</em> is the actual UML Relationship</li>
 *    <li><em>client</em> is the NamedElement <em>rel</em> originates from. In the case of a bi-directional association, 
 *    <em>client</em> is the first element that participates in the relationship.</li>
 *    <li><em>supplier</em> the NamedElement <em>rel</em> points to. In the case of a bi-directional association, 
 *    <em>supplier</em> is the second element that participates in the relationship.</li>
 * </ul>
 */
public class RSMRelation {
    private Relationship rel = null;
    private NamedElement client = null;
    private NamedElement supplier = null;

     public NamedElement getClient() {
        return client;
    }
    public void setClient(NamedElement client) {
        this.client = client;
    }
    public Relationship getRel() {
        return rel;
    }
    public void setRel(Relationship rel) {
        this.rel = rel;
    }
    public NamedElement getSupplier() {
        return supplier;
    }
    public void setSupplier(NamedElement supplier) {
        this.supplier = supplier;
    }
}
